PHP-SDK TLS version

We’re using PHP Client version 1.17 on our server. I got the notice that TLS 1.0 and 1.1 will be deprecated soon. How do I know which TLS version the PHP backend is using to contact Algolia? Is this strictly a web server configuration issue or is an SDK upgrade required?

1 Like

Hi there,

The PHP v1 client uses a cURL client for network requests, which picks up the default system SSL version and appropriately leverages the CURLOPT_SSL_VERIFYHOST and CURLOPT_SSL_VERIFYPEER options to enforce the security of the connection.

As long as you’re enforcing TLS 1.2 in your environment, you should be fine.